Subject: bug#7661: closed ([PATCH] {maint} docs: fix blunder in example about python extension modules (was: Re: bug#7661: docs: typo in documentation about python extension modules?))

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 18 Dec 2010 11:15:03 +0000

Your bug report

#7661: docs: typo in documentation about python extension modules?

which was filed against the automake package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
7661: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=7661
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: [PATCH] {maint} docs: fix blunder in example about python extension modules (was: Re: bug#7661: docs: typo in documentation about python extension modules?)
From: Stefano Lattarini <[email-masked]>
To: [email-masked]
Cc: Ralf Wildenhues <[email-masked]>, [email-masked]
Date: Sat, 18 Dec 2010 12:20:20 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

On Saturday 18 December 2010, Ralf Wildenhues wrote:
> * Stefano Lattarini wrote on Fri, Dec 17, 2010 at 02:51:12PM CET:
> >           pyexec_LTLIBRARIES = quaternion.la
> >           quaternion_SOURCES = quaternion.c support.c support.h
> >           quaternion_la_LDFLAGS = -avoid-version -module
> 
> > Shouldn't `quaternion_la_SOURCES' be used instead of `quaternion_SOURCES'?
> 
> Yep.  Fix is preapproved.
> 
> Thanks,
> Ralf
> 

Below is what I pushed.

Thanks,
  Stefano

-*-*-*-

docs: fix blunder in example about python extension modules

* doc/automake.texi (Python): Use `quaternion_la_SOURCES',
not `quaternion_SOURCES', to declare the sources of python
extension module `quaternion.la'.
---
 ChangeLog         |    7 +++++++
 doc/automake.texi |    2 +-
 2 files changed, 8 insertions(+), 1 deletions(-)

diff --git a/ChangeLog b/ChangeLog
index 3eee3a7..69286c9 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,10 @@
+2010-12-18  Stefano Lattarini  <[email-masked]>
+
+	docs: fix blunder in example about python extension modules
+	* doc/automake.texi (Python): Use `quaternion_la_SOURCES',
+	not `quaternion_SOURCES', to declare the sources of python
+	extension module `quaternion.la'.
+
 2010-12-16  Stefano Lattarini  <[email-masked]>
 
 	docs: list LTLIBRARIES among Automake primaries
diff --git a/doc/automake.texi b/doc/automake.texi
index 227b1ba..9c2074b 100644
--- a/doc/automake.texi
+++ b/doc/automake.texi
@@ -7632,7 +7632,7 @@ as follows to Automake:
 
 @example
 pyexec_LTLIBRARIES = quaternion.la
-quaternion_SOURCES = quaternion.c support.c support.h
+quaternion_la_SOURCES = quaternion.c support.c support.h
 quaternion_la_LDFLAGS = -avoid-version -module
 @end example
 
-- 
1.7.1

Subject: docs: typo in documentation about python extension modules?
From: Stefano Lattarini <[email-masked]>
To: [email-masked]
Date: Fri, 17 Dec 2010 14:51:12 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

In the section "10.5 Python" of the manual, there is this example,
which seems wrong (but I'm not sure, that's why I'm asking):

  pyexecdir
      This is the directory where Python extension modules (shared
      libraries) should be installed. An extension module written in
      C could be declared as follows to Automake:

          pyexec_LTLIBRARIES = quaternion.la
          quaternion_SOURCES = quaternion.c support.c support.h
          quaternion_la_LDFLAGS = -avoid-version -module

      ...

Shouldn't `quaternion_la_SOURCES' be used instead of `quaternion_SOURCES'?

Regards,
  Stefano